
ChiliProject - Bug # 251: Make Chili work with RubyGems 1.6

Status: Closed Priority: Normal
Author: Gregor Schmidt Category:
Created: 2011-03-02 Assignee: Holger Just
Updated: 2011-03-02 Due date:
Remote issue URL:
Affected version:
Description: Tonight, RubyGems 1.6 was released. It no longer requires 'thread' from the stdlib, but rails 2.x app depend 

on that behaviour. Therefor we need to add 

    require 'thread'

somewhere in our sources. This is also mentioned in the "Release Blog 
Post":http://blog.segment7.net/2011/03/01/rubygems-1-6-0

Associated revisions
2011-03-02 02:56 pm - Gregor Schmidt 
adding require 'thread' since active support needs it but rubygems 1.6 removed it

fixes #251

History
2011-03-02 02:08 pm - Gregor Schmidt
- Status changed from Open to Ready for review

Pull Request at https://github.com/chiliproject/chiliproject/pull/14

Before merging I would ask you to confirm, that it is broken and that this fixes it the error. Though I have tested it, it is just a 'my machine' issue for the 
moment.

2011-03-02 02:08 pm - Gregor Schmidt
A stack trace of the error I was facing may be found at https://gist.github.com/850927

2011-03-02 02:17 pm - Holger Just
- Assignee set to Holger Just

- Status changed from Ready for review to Closed

It is broken with ruby 1.8.7-p334 and rubgems 1.8.6 on my mac. Your patch fixes it (i.e Mongrel starts again and tests run smooth.)

I just pulled your patch in. Thanks Gregor!

2011-03-02 03:05 pm - Gregor Schmidt
For documentation purposes - this seems to be part of newer versions of Rails already. https://github.com/rails/rails/commit/6f17422 - this commit is 
part of Rails 2.3.9.

The patch may therefore be removed after the switch to 2.3-latest
